Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231151 - fence_xvm should fall back to no hashing if fence_xvm.key is not present
Summary: fence_xvm should fall back to no hashing if fence_xvm.key is not present
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 15:32 UTC by Lon Hohberger
Modified: 2009-04-16 22:36 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:59:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix (deleted)
2007-03-06 15:32 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0575 normal SHIPPED_LIVE cman bug fix update 2007-10-31 12:26:24 UTC

Description Lon Hohberger 2007-03-06 15:32:02 UTC
+++ This bug was initially created as a clone of Bug #231149 +++

Description of problem:

fence_xvm currently fails to run if /etc/cluster/fence_xvm.key is not present
and auth="none" hash="none" is not present in /etc/cluster/cluster.conf.

The request is to have fence_xvm automatically assume no hashing /
authentication is required if not otherwise specified and fence_xvm.key does not
exist.

This makes configuration easier for users, and addition of fence_xvm.key can
always be done at a later date.

-- Additional comment from lhh@redhat.com on 2007-03-06 10:24 EST --
Created an attachment (id=149341)
Fixes it.


-- Additional comment from lhh@redhat.com on 2007-03-06 10:26 EST --
[lhh@asuka xvm]$ ./fence_xvm -H fdsahfjka
Could not read /etc/cluster/fence_xvm.key; trying without authentication

[lhh@asuka xvm]$ ./fence_xvm -H fdsahfjka -ddddd
Debugging threshold is now 5
-- args @ 0x7fffc4833d00 --
  args->addr = 225.0.0.12
  args->domain = fdsahfjka
  args->key_file = /etc/cluster/fence_xvm.key
  args->op = 2
  args->hash = 2
  args->auth = 2
  args->port = 1229
  args->family = 2
  args->timeout = 30
  args->retr_time = 20
  args->flags = 0
  args->debug = 5
-- end args --
Reading in key file /etc/cluster/fence_xvm.key into 0x7fffc4832cb0 (4096 len)
Could not read /etc/cluster/fence_xvm.key; trying without authentication
Ignoring fec0::2:20c:f1ff:fefe:4b2f: wrong family
sign_request: no-op (HASH_NONE)
Sending to 225.0.0.12 via 127.0.0.1
sign_request: no-op (HASH_NONE)
Sending to 225.0.0.12 via 10.0.0.2
sign_request: no-op (HASH_NONE)
Sending to 225.0.0.12 via 10.12.32.30
Waiting for connection from XVM host daemon.

Comment 1 Lon Hohberger 2007-03-06 15:32:02 UTC
Created attachment 149342 [details]
Fix

Comment 3 Kiersten (Kerri) Anderson 2007-04-23 16:47:58 UTC
Fixing Product Name.  Cluster Suite was merged into Red Hat Enterpise Linux for
5.0.  In addition dlm, fence and ccs were merged into the cman package, so
bugzilla should reflect package name where those utilities are located.

Comment 6 errata-xmlrpc 2007-11-07 16:59:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html



Note You need to log in before you can comment on or make changes to this bug.